Api reference
Get payment link by ID
Retrieve a payment link by its UUID or public_id
Related endpoints
POST /payment-links— Create a new payment linkGET /payment-links— List payment linksPOST /payment-links/{id}/expire— Expire a payment link (deprecated)PATCH /payment-links/{id}/status— Update payment link statusPOST /payment-links/{id}/deactivate— Deactivate a payment link (deprecated)POST /payment-links/{id}/activate— Activate a payment link (deprecated)POST /payment-links/{id}/archive— Archive a payment link (deprecated)
Common errors
401 unauthenticated— missing, malformed, or revoked API key.404 resource_missing— the referenced resource does not exist or is not visible to your key.
x-api-key<token>
Your RevKeen API key (powered by Unkey). Get it from Dashboard > Settings > API Keys. Use rk_sandbox_* for test mode and rk_live_* for production.
In: header
Path Parameters
id*string
Payment link UUID or public_id
Length
1 <= lengthResponse Body
application/json
application/json
curl "https://api.revkeen.com/v2/payment-links/string" \ -H "x-api-key: $REVKEEN_API_KEY"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",
"public_id": "string",
"name": "string",
"slug": "string",
"mode": "invoice",
"status": "draft",
"amount_minor": 0,
"currency": "USD",
"invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32",
"subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",
"product_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"line_items": [
{
"product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
"price_id": "5eff5d89-979e-4e4f-aa76-6cbbbf11362c",
"quantity": 1,
"merchant_reference": "string",
"is_adhoc": true,
"product_details": {
"name": "string",
"description": "string",
"unit_amount": 0,
"currency": "string",
"recurring": {
"interval": "day",
"interval_count": 1
}
}
}
],
"success_url": "http://example.com",
"cancel_url": "http://example.com",
"redirect_url": "http://example.com",
"collect_shipping": false,
"allow_promotion_codes": true,
"tax_behavior": "exclusive",
"metadata": {
"property1": null,
"property2": null
},
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}Empty
{
"error": "string",
"details": null
}